Public Member Functions | Public Attributes | List of all members
MacDrawProParserInternal::State Struct Reference

Internal: the state of a MacDrawProParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
bool | m_isStationery
| flag to know if the file is a stationery document More...
int | m_numPages
| the final number of pages More...
int | m_actualLayer
| the actual layer More...
int | m_numLayers
| the number of layer More...
int | m_numHiddenLayers
| the number of hidden layer More...
int | m_numVisibleLayers
| the number of visible layer More...
bool | m_createMasterPage
| flag to know if we need or not to create a master More...
bool | m_sendAsLibraries
| flag to know if we create a page by library or not More...
int | m_numLibraries
| the number of library More...
int | m_numShapes
| the total number of shapes More...
long | m_sizeStyleZones [6]
| the size of the header zones More...
long | m_sizeLayerZones [2]
| the size of the layer zones More...
long | m_sizeLibraryZones [2]
| the size of the library zones(checkme) More...
long | m_sizeFZones [4]
| the size of the zoneF More...
std::vector< Library > | m_libraryList
| the library list More...
std::vector< Layer > | m_layerList
| the layer list More...
std::vector< MWAWEntry > | m_objectDataList
| the list of entries which stores the object's data More...
std::vector< MWAWEntry > | m_objectTextList
| the list of entries which stores the object's text More...
std::vector< Shape > | m_shapeList
| the shape list More...

## Detailed Description

Internal: the state of a MacDrawProParser.

## Constructor & Destructor Documentation

## ◆ State()

MacDrawProParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualLayer

int MacDrawProParserInternal::State::m_actualLayer

the actual layer

## ◆ m_createMasterPage

bool MacDrawProParserInternal::State::m_createMasterPage

flag to know if we need or not to create a master

## ◆ m_isStationery

bool MacDrawProParserInternal::State::m_isStationery

flag to know if the file is a stationery document

## ◆ m_layerList

std::vector<Layer> MacDrawProParserInternal::State::m_layerList

the layer list

## ◆ m_libraryList

std::vector<Library> MacDrawProParserInternal::State::m_libraryList

the library list

## ◆ m_numHiddenLayers

int MacDrawProParserInternal::State::m_numHiddenLayers

the number of hidden layer

## ◆ m_numLayers

int MacDrawProParserInternal::State::m_numLayers

the number of layer

## ◆ m_numLibraries

int MacDrawProParserInternal::State::m_numLibraries

the number of library

## ◆ m_numPages

int MacDrawProParserInternal::State::m_numPages

the final number of pages

## ◆ m_numShapes

int MacDrawProParserInternal::State::m_numShapes

the total number of shapes

## ◆ m_numVisibleLayers

int MacDrawProParserInternal::State::m_numVisibleLayers

the number of visible layer

## ◆ m_objectDataList

std::vector<MWAWEntry> MacDrawProParserInternal::State::m_objectDataList

the list of entries which stores the object's data

## ◆ m_objectTextList

std::vector<MWAWEntry> MacDrawProParserInternal::State::m_objectTextList

the list of entries which stores the object's text

## ◆ m_sendAsLibraries

bool MacDrawProParserInternal::State::m_sendAsLibraries

flag to know if we create a page by library or not

## ◆ m_shapeList

std::vector<Shape> MacDrawProParserInternal::State::m_shapeList

the shape list

## ◆ m_sizeFZones

long MacDrawProParserInternal::State::m_sizeFZones[4]

the size of the zoneF

## ◆ m_sizeLayerZones

long MacDrawProParserInternal::State::m_sizeLayerZones[2]

the size of the layer zones

## ◆ m_sizeLibraryZones

long MacDrawProParserInternal::State::m_sizeLibraryZones[2]

the size of the library zones(checkme)

## ◆ m_sizeStyleZones

long MacDrawProParserInternal::State::m_sizeStyleZones[6]

the size of the header zones

## ◆ m_version

int MacDrawProParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- MacDrawProParser.cxx